# $Revision: 1.21 $, $Date: 2008/07/27 22:15:01 $
#
# todo:
# - use XML ISO entities from sgml-common
#
Summary:	DocBook XML 4.2 DTD
Summary(pl.UTF-8):	DTD dla dokumentów DocBook XML 4.2
%define ver	4.2
Name:		docbook-dtd42-xml
Version:	1.0
Release:	6
Epoch:		1
Vendor:		OASIS
License:	Free
Group:		Applications/Publishing/XML
Source0:	http://www.oasis-open.org/docbook/xml/%{ver}/docbook-xml-%{ver}.zip
# Source0-md5:	73fe50dfe74ca631c1602f558ed8961f
URL:		http://www.oasis-open.org/docbook/
BuildRequires:	libxml2-progs
BuildRequires:	rpm-build >= 4.0.2-94
BuildRequires:	unzip
PreReq:		libxml2
PreReq:		sgml-common
Requires(post,preun):	/usr/bin/install-catalog
Requires(post,preun):	/usr/bin/xmlcatalog
Requires:	libxml2-progs >= 2.4.17-6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dtd_path		%{_datadir}/sgml/docbook/xml-dtd-%{ver}
%define		xmlcat_file		%{dtd_path}/catalog.xml
%define		sgmlcat_file	%{dtd_path}/catalog

%description
DocBook is an XML/SGML vocabulary particularly well suited to books
and papers about computer hardware and software (though it is by no
means limited to only these applications).

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów XML/SGML przeznaczonych
do tworzenia dokumentacji technicznej. Stosowany jest do pisania
podręczników systemowych, instrukcji jak i wielu innych ciekawych
rzeczy.

%prep
%setup -q -c
chmod -R a+rX *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dtd_path}

install *.{xml,dtd,mod} $RPM_BUILD_ROOT%{dtd_path}
install *.ent $RPM_BUILD_ROOT%{dtd_path} || :
cp -a ent $RPM_BUILD_ROOT%{dtd_path}

%docbook_sgmlcat_fix $RPM_BUILD_ROOT%{sgmlcat_file} %{ver}

cat docbook.cat >> $RPM_BUILD_ROOT%{sgmlcat_file}

%xmlcat_add_rewrite \
	http://www.oasis-open.org/docbook/xml/%{ver} \
	file://%{dtd_path} \
	$RPM_BUILD_ROOT%{xmlcat_file}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep -q /etc/sgml/xml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	%sgmlcat_add /etc/sgml/xml-docbook-%{ver}.cat %{sgmlcat_file}

fi
if ! grep -q %{xmlcat_file} /etc/xml/catalog ; then
	%xmlcat_add %{xmlcat_file}

fi

%preun
if [ "$1" = "0" ] ; then
	%sgmlcat_del /etc/sgml/xml-docbook-%{ver}.cat %{sgmlcat_file}
	%xmlcat_del %{xmlcat_file}
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%{dtd_path}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docbook-dtd42-xml.spec,v $
Revision 1.21  2008/07/27 22:15:01  arekm
- release 6

Revision 1.20  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.18  2005/05/06 07:16:47  pluto
- release 5 for Th.

Revision 1.17  2005/02/12 14:01:17  qboosh
- Summary fix (it's DocBook XML 4.2 only, no SGML DTDs)

Revision 1.16  2004/12/09 11:32:51  paladine
- spaces->tabs
- sorted BRs

Revision 1.15  2004/04/27 10:19:12  pawcioos
- fixed BR: libxml2-progs

Revision 1.14  2004/04/26 14:46:55  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.13  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:46:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/12/13 15:24:03  ankry
- adapterized

Revision 1.10  2002/10/16 12:18:27  misiek
- epoch1

Revision 1.9  2002/09/30 23:28:06  ankry
- BR: rpm-build >= 4.0.2-94 (for macro definitions)
- s/sgmlcat_fix/docbook_sgmlcat_fix/ - this macro is really defined

Revision 1.8  2002/09/27 13:20:56  wrobell
- use more macros

Revision 1.7  2002/09/27 08:08:58  wrobell
- macros definition are moved to rpm package
- rel. 3

Revision 1.6  2002/09/11 08:59:11  qboosh
- more requires; release 2

Revision 1.5  2002/09/10 14:06:19  wrobell
- typos

Revision 1.4  2002/09/10 09:51:41  wrobell
- if macros go to macros.sgml or something, we will think about sgmlcat_fix

Revision 1.3  2002/09/10 08:41:19  wrobell
- xmlcatalog branch merged

Revision 1.2.2.13  2002/09/10 08:39:18  wrobell
- sync with spec for DocBook 4.1.2 (XML Catalog solutions)

Revision 1.2.2.12  2002/07/18 06:54:24  wrobell
- updated to final 4.2 version

Revision 1.2.2.11  2002/07/09 12:14:35  wiget
fix macro

Revision 1.2.2.10  2002/07/09 11:57:24  wiget
BR xmlcatalog

Revision 1.2.2.9  2002/05/31 19:12:13  wrobell
- fixed summaries and descriptions
- small cleanup

Revision 1.2.2.8  2002/05/31 18:59:11  wrobell
- fixed macros which add/remove dtd into/from sgml catalog - registering
  into sgml catalog works now
- conversion between sgml and xml catalog is not needed for this dtd

Revision 1.2.2.7  2002/05/31 13:41:11  wiget
- updated to rc3 (this version have catalog.xml)
- if you use %%1 in macro then macro must be defined as parametrized
- small typos

still NFY

Revision 1.2.2.6  2002/05/29 15:48:22  wrobell
- use more macros
- play upgrading post/preun madness

Revision 1.2.2.5  2002/05/28 17:35:00  wrobell
- added some macros to simplify catalog mangling /nfy/

Revision 1.2.2.4  2002/05/27 16:47:10  wrobell
- start to use XML Catalog as it has been discussed with wiget on
  pld-devel-en
- define separate xml catalog
- nfy, nfy

Revision 1.2.2.3  2002/05/26 01:20:06  wrobell
- rel. 1

Revision 1.2.2.2  2002/05/26 01:19:44  wrobell
- candidate release 2

Revision 1.2.2.1  2002/05/26 01:13:06  wrobell
- SGML Catalog replaced with XML Catalogs support
- rel. 2

Revision 1.2  2002/05/25 16:58:28  qboosh
- simplified %%prep (rpm 4 knows how to decompress zip archive)
- new %%doc

Revision 1.1  2002/05/08 09:54:59  wrobell
- XML DocBook 4.2.CR1
